%global _el_version_tag el8

Name:       buildsys-macros-el8
Summary:    Macros for the Buildsystem
Version:    3.3
Release:    3.%{_el_version_tag}.rocky
License:    GPL
Group:      Development/Buildsystem
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch
 
%description
This particular package contains the macros needed for the buildsys for Rocky 8.
 
%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/rpm/
cat > %{buildroot}%{_sysconfdir}/rpm/macros.disttag << EOF
# dist build tags

%%__bootstrap ~bootstrap
%%rhel 8
%%rocky 8
%%centos 8
%%dist %%{!?distprefix0:%%{?distprefix}}%%{expand:%%{lua:for i=0,9999 do print("%%{?distprefix" .. i .."}") end}}.el8%%{?distsuffix}%%{?with_bootstrap:%{__bootstrap}}
%%el8 1

EOF

cat > %{buildroot}%{_sysconfdir}/rpm/macros.checkbuild << EOF
%%__arch_install_post /usr/lib/rpm/check-buildroot
EOF
 
%clean
rm -rf %{buildroot}
 
%files
%defattr(-,root,root)
/etc/rpm/macros.disttag
/etc/rpm/macros.checkbuild
 
%changelog
* Mon May 03 2021 Louis Abel <label@rockylinux.org> - 3.3-2.rocky
- Start at el8 for first iteration
